bobbing_activation() – Dependency checking for bobbing

You appear to be a bot. Output may be restricted

Description

Dependency checking for bobbing

bobbing version 1.2 was dependent upon oik version 1.11 bobbing v1.2 is now dependent upon oik version 2.0 or higher and uses the new oik-activation code bobbing v1.2.1 is now dependent upon oik version 3.0.0-alpha

Usage

bobbing_activation();

Parameters

Returns

void

Source

File name: bobbing/bobbing.php
Lines:

1 to 17 of 17
function bobbing_activation() {
  static $plugin_basename = null;
  if ( !$plugin_basename ) {
    $plugin_basename = plugin_basename(__FILE__);
    add_action( "after_plugin_row_bobbing/bobbing.php", "bobbing_activation" ); 
      
    if ( !function_exists( "oik_plugin_lazy_activation" ) ) { 
      require_once( "admin/oik-activation.php" );
    } else {
      //echo "opla already active" ;
    }
  }  
  $depends = "oik:3.0.0-alpha,bbboing";
  //bw_backtrace();
  //echo "calling opla with $depends";
  oik_plugin_lazy_activation( __FILE__, $depends, "oik_plugin_plugin_inactive" );
}